# EOS
- [EOS](#eos)
    - [Tools](#tools)
    - [Language Support](#language-support)
        - [Go](#go)
        - [JavaScript](#javascript)
        - [Java / Kotlin](#java--kotlin)
        - [Python](#python)
        - [Scala](#scala)
        - [Elixir](#elixir)
        - [Swift](#swift)
        - [Smart Contracts Examples](#smart-contracts-examples)


## Tools
- [eos-wallet-app](https://github.com/EOSIO/eos-wallet-app) - Web wallet for EOS
- [eos-docker](https://github.com/Someguy123/eos-docker) - someguy123's EOS in a Box
- [genesis](https://github.com/EOSIO/genesis) - Create an EOS Blockchain Genesis
- [Cleos Auto Completion](https://github.com/hexlant/cleos-auto-completion) - Command auto completion features for EOS Cleos.
- [teos](https://github.com/tokenika/teos) - Alternative CLI to EOS, C++ API library
- [eos-voter](https://github.com/greymass/eos-voter) - Desktop Light Wallet + Voting Application
- [windshield](https://github.com/cypherglassdotcom/windshield) - EOS Nodes Dashboard: watch personal or public nodes and receive alerts if any node fails, chain fork etc.
- [EOSDevHelper](https://github.com/OracleChain/EOSDevHelper) - Cross-platform PC wallet.
- [EOSBenchTool](https://github.com/OracleChain/EOSBenchTool) - EOS pressure testing tool.
- [PocketEOS-IOS](https://github.com/OracleChain/PocketEOS-IOS) - Open source wallet for IOS.
- [PocketEOS-Android](https://github.com/OracleChain/PocketEOS-Android) - Open source wallet for Android.
- [EOS REACH Android](https://github.com/memtrip/eosreach) - Open source wallet for Android.

## Language Support

https://developers.eos.io/

### Go
- [eosapi](https://github.com/abourget/eosapi) - EOS' JSON API Wrapper for Golang

### JavaScript
- [eosjs](https://github.com/EOSIO/eosjs) - General purpose library for the EOS blockchain.
- [eosjs-api](https://github.com/EOSIO/eosjs) - EOS api wrapper for JS
- [eosjs-ecc](https://github.com/EOSIO/eosjs-ecc) - Elliptic curve cryptography functions
- [eosjs-fcbuffer](https://github.com/EOSIO/eosjs-ecc) - Serialization library for native data structures
- [eosjs-json](https://github.com/EOSIO/eosjs-json) - JSON schemas for EOS interfaces
- [eosjs-react-native](https://github.com/EvaCoop/eosjs-react-native) - React Native configuration of eosjs
- [eosjs-rn](https://github.com/Game-X-Coin/eosjs-rn) - eosjs for react native
- [eosjs-ecc-rn](https://github.com/Game-X-Coin/eosjs-ecc-rn) - eosjs-ecc for react native
- [demux-js](https://github.com/EOSIO/demux-js) - Deterministic event-sourced state and side effect handling for blockchain applications

### Java / Kotlin
- [eos-jvm](https://github.com/memtrip/eos-jvm) - General purpose library for the EOS blockchain.

### Python
- [eosjs_python](https://github.com/EvaCoop/eosjs_python) - Python wrapper on eosjs
- [eosapi](https://github.com/Netherdrake/py-eos-api) - EOS api wrapper for Python 3.6+
- [pyeos_client](https://github.com/EvaCoop/pyeos_client) - EOS RPC wrapper for Python
- [django scatter auth](https://github.com/Bearle/django-scatter-auth) - Django Authentication using Scatter

### Scala
- [eos-scala-rpc-api](https://github.com/nsjames/EOS-Scala-RPC-API) - EOS api wrapper for Scala

### Elixir

- [eosrpc-elixir-wrapper](https://github.com/BeSpiral/eosrpc-elixir-wrapper) - EOS RPC Api Wrapper for elixir

### Swift

- [SwiftyEOS](https://github.com/ProChain/SwiftyEOS) - EOS account management and RPC wrapper in Swift.

### Smart Contracts Examples

- [MonsterEOS](https://github.com/leordev/monstereos) - Tamagotchi game, integrates `eosio.token` with account balances, randomization etc.
- [DecenTwitter](https://github.com/kesar/decentwitter) - Decent(ralized) Twitter - ZERO!!! Ram Cost
- [Everipedia](https://github.com/EveripediaNetwork/Everipedia) - IPFS integration, tokenization and governance